Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.deployment
Class AbstractKernelDeployer

    java.lang.Object
      org.jboss.kernel.plugins.deployment.AbstractKernelDeployer

Direct Known Subclasses:
  BeanXMLDeployer

public class AbstractKernelDeployer
extends Object

An Kernel deployer.

Version:
  $Revision: 1.10 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`protected KernelController` | `controller` The controller
`protected Kernel` | `kernel` The kernel
`protected org.jboss.dependency.spi.ControllerMode` | `mode` The mode
`protected org.jboss.dependency.spi.ControllerState` | `requiredState` The required state

Constructor Summary
`AbstractKernelDeployer(Kernel kernel)` Create a new kernel deployer
`AbstractKernelDeployer(Kernel kernel, org.jboss.dependency.spi.ControllerState requiredState, org.jboss.dependency.spi.ControllerMode mode)` Create a new kernel deployer

Method Summary
`void` | `change(KernelDeployment deployment, org.jboss.dependency.spi.ControllerState state)` Change a deployments state
`protected void` | `changeBean(KernelController controller, KernelControllerContext context, org.jboss.dependency.spi.ControllerState state)` Change a bean
`protected void` | `changeBeans(KernelController controller, KernelDeployment deployment, org.jboss.dependency.spi.ControllerState state)` Change the beans in a deployment
`void` | `deploy(KernelDeployment deployment)` Deploy a deployment
`protected KernelControllerContext` | `deployBean(KernelController controller, KernelDeployment deployment, BeanMetaData bean)` Deploy a bean
`protected void` | `deployBeans(KernelController controller, KernelDeployment deployment)` Deploy the beans in a deployment
`protected void` | `internalValidate(Set notInstalled)` Validate a deployment
`void` | `undeploy(KernelDeployment deployment)` Undeploy a deployment
`protected void` | `undeployBean(KernelController controller, KernelControllerContext context)` Undeploy a bean
`protected void` | `undeployBeans(KernelController controller, KernelDeployment deployment)` Undeploy the beans in a deployment
`void` | `validate()` Validate all deployments
`void` | `validate(KernelDeployment deployment)` Validate a deployment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kernel

    protected Kernel kernel

  The kernel

### controller

    protected KernelController controller

  The controller

### requiredState

    protected org.jboss.dependency.spi.ControllerState requiredState

  The required state

### mode

    protected org.jboss.dependency.spi.ControllerMode mode

  The mode

Constructor Detail

### AbstractKernelDeployer

    public AbstractKernelDeployer(Kernel kernel)

  Create a new kernel deployer

Parameters:
  `kernel` - the kernel

### AbstractKernelDeployer

    public AbstractKernelDeployer(Kernel kernel,
                                  org.jboss.dependency.spi.ControllerState requiredState,
                                  org.jboss.dependency.spi.ControllerMode mode)

  Create a new kernel deployer

Parameters:
  `kernel` - the kernel

Method Detail

### deploy

    public void deploy(KernelDeployment deployment)
                throws Throwable

  Deploy a deployment

  Parameters:
    `deployment` - the deployment
  Throws:
    `Throwable` - for any error

### change

    public void change(KernelDeployment deployment,
                       org.jboss.dependency.spi.ControllerState state)
                throws Throwable

  Change a deployments state

  Parameters:
    `deployment` - the deployment
    `state` - the state
  Throws:
    `Throwable` - for any error

### undeploy

    public void undeploy(KernelDeployment deployment)

  Undeploy a deployment

  Parameters:
    `deployment` - the deployment

### validate

    public void validate()
                  throws Throwable

  Validate all deployments

  Throws:
    `Throwable` - for any error

### validate

    public void validate(KernelDeployment deployment)
                  throws Throwable

  Validate a deployment

  Parameters:
    `deployment` - the deployment
  Throws:
    `Throwable` - for any error

### internalValidate

    protected void internalValidate(Set notInstalled)
                             throws Throwable

  Validate a deployment

  Parameters:
    `notInstalled` - the not installed deployments
  Throws:
    `Throwable` - for any error

### deployBeans

    protected void deployBeans(KernelController controller,
                               KernelDeployment deployment)
                        throws Throwable

  Deploy the beans in a deployment

  Parameters:
    `controller` - the controller
    `deployment` - the deployment
  Throws:
    `Throwable` - for any error

### deployBean

    protected KernelControllerContext deployBean(KernelController controller,
                                                 KernelDeployment deployment,
                                                 BeanMetaData bean)
                                          throws Throwable

  Deploy a bean

  Parameters:
    `controller` - the controller
    `deployment` - the deployment
    `bean` - the bean metadata
  Returns:
    the KernelControllerContext
  Throws:
    `Throwable` - for any error

### changeBeans

    protected void changeBeans(KernelController controller,
                               KernelDeployment deployment,
                               org.jboss.dependency.spi.ControllerState state)
                        throws Throwable

  Change the beans in a deployment

  Parameters:
    `controller` - the controller
    `deployment` - the deployment
    `state` - the state
  Throws:
    `Throwable` - for any error

### changeBean

    protected void changeBean(KernelController controller,
                              KernelControllerContext context,
                              org.jboss.dependency.spi.ControllerState state)
                       throws Throwable

  Change a bean

  Parameters:
    `controller` - the controller
    `context` - the context
    `state` - the state
  Throws:
    `Throwable` - for any error

### undeployBeans

    protected void undeployBeans(KernelController controller,
                                 KernelDeployment deployment)

  Undeploy the beans in a deployment

  Parameters:
    `controller` - the controller
    `deployment` - the deployment

### undeployBean

    protected void undeployBean(KernelController controller,
                                KernelControllerContext context)
                         throws Throwable

  Undeploy a bean

  Parameters:
    `controller` - the controller
    `context` - the context of the bean
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.